~ubuntu-branches/ubuntu/lucid/wpasupplicant/lucid-updates

« back to all changes in this revision

Viewing changes to debian/changelog

  • Committer: Bazaar Package Importer
  • Author(s): Kyle McMartin
  • Date: 2005-02-15 00:51:28 UTC
  • Revision ID: james.westby@ubuntu.com-20050215005128-4cnlxpp3vc3synqq
Tags: 0.3.8-1
* New upstream release.
* This release fixes a crash due to a buffer overflow, caused by
  a missing validation step on EAPOL-Key frames. Receiving malformed
  frames trigger the crash. More information available in the notes:
  http://lists.shmoo.com/pipermail/hostap/2005-February/009465.html
* Fix some badness with the init script. Missed the -B option
  to daemonize wpa_supplicant... pidfile is not currently being used
  as it requires modifying wpa_supplicant.
* patches/
  - 12_ipw_open_aps (closes: #295143)
    + merge patch against driver_ipw to fix association with
      open access points.

Show diffs side-by-side

added added

removed removed

Lines of Context:
 
1
wpasupplicant (0.3.8-1) unstable; urgency=low
 
2
 
 
3
  * New upstream release.
 
4
  * This release fixes a crash due to a buffer overflow, caused by
 
5
    a missing validation step on EAPOL-Key frames. Receiving malformed
 
6
    frames trigger the crash. More information available in the notes:
 
7
    http://lists.shmoo.com/pipermail/hostap/2005-February/009465.html
 
8
  * Fix some badness with the init script. Missed the -B option
 
9
    to daemonize wpa_supplicant... pidfile is not currently being used
 
10
    as it requires modifying wpa_supplicant.
 
11
  * patches/
 
12
    - 12_ipw_open_aps (closes: #295143)
 
13
      + merge patch against driver_ipw to fix association with
 
14
        open access points.
 
15
 
 
16
 -- Kyle McMartin <kyle@debian.org>  Tue, 15 Feb 2005 00:51:28 -0500
 
17
 
 
18
wpasupplicant (0.3.7-1) unstable; urgency=low
 
19
 
 
20
  * New upstream stable release.
 
21
  * Add preliminary init script for wpasupplicant. Currently it will
 
22
    start after pcmcia, for obvious reasons. (closes: #287219)
 
23
  * patches/
 
24
    - 11_madwifi_open_aps (closes: #294909)
 
25
      + merge patch against driver_madwifi to fix association with
 
26
        open access points.
 
27
 
 
28
 -- Kyle McMartin <kyle@debian.org>  Sat, 12 Feb 2005 22:56:11 -0500
 
29
 
 
30
wpasupplicant (0.3.2-2) unstable; urgency=low
 
31
 
 
32
  * patches/
 
33
    - 06_default_ifname
 
34
      + support a default interface specified in wpa_supplicant.conf
 
35
 
 
36
 -- Kyle McMartin <kyle@debian.org>  Sun, 23 Jan 2005 03:26:01 -0500
 
37
 
 
38
wpasupplicant (0.3.2-1) unstable; urgency=low
 
39
 
 
40
  * New upstream release.
 
41
  * From upstream changelog, and verified: (closes: #286443)
 
42
    + fixed private key loading for cases where passphrase is not set
 
43
 
 
44
 -- Kyle McMartin <kyle@debian.org>  Mon, 20 Dec 2004 10:22:11 -0500
 
45
 
 
46
wpasupplicant (0.3.1-2) unstable; urgency=low
 
47
 
 
48
  * Add CONFIG_CTRL_IFACE=y option to maintain old configuration file
 
49
    compatibility.
 
50
 
 
51
 -- Kyle McMartin <kyle@debian.org>  Sat, 18 Dec 2004 14:03:19 -0500
 
52
 
 
53
wpasupplicant (0.3.1-1) unstable; urgency=low
 
54
 
 
55
  * The "Kyle is a lazy, lazy, lazy hacker" release.
 
56
  * Removed patch for ipw2100, as it's been integrated
 
57
    upstream. (closes: #281979)
 
58
  * Remove default wpa_supplicant.conf from /etc, since we aren't
 
59
    installing a configuration file that will work by default. Instead,
 
60
    it has been moved to /usr/share/doc/wpasupplicant/examples.
 
61
  * Enable a few more options. Unfortunately support for Broadcom's wl.o
 
62
    must be disabled, since it requires a header file with an
 
63
    "All Rights Reserved" copyright. LinuxAnt DriverLoader is similarly
 
64
    disabled, though NDISWrapper is supported.
 
65
 
 
66
 -- Kyle McMartin <kyle@debian.org>  Thu, 16 Dec 2004 12:39:01 -0500
 
67
 
 
68
wpasupplicant (0.2.5-2) unstable; urgency=low
 
69
 
 
70
  * Merged patch from Lorenzo Martignoni, to enable support for
 
71
    WPA on the Intel IPW2100 wireless chipset (aka: Centrino).
 
72
 
 
73
 -- Kyle McMartin <kyle@debian.org>  Sat, 23 Oct 2004 15:21:11 -0400
 
74
 
 
75
wpasupplicant (0.2.5-1) unstable; urgency=low
 
76
 
 
77
  * New upstream version. (closes: #276368)
 
78
 
 
79
 -- Kyle McMartin <kyle@debian.org>  Tue, 12 Oct 2004 09:10:19 -0400
 
80
 
 
81
wpasupplicant (0.2.4-2) unstable; urgency=low
 
82
 
 
83
  * patches/
 
84
    - 01_config
 
85
      + enable TLS support (and various other non-default configurations)
 
86
    - 05_default_conf
 
87
      + patch to use "/etc/wpa_supplicant.conf" by default, instead of
 
88
        prompting for the configuration on the command line.
 
89
  * Add Build-Depends on libssl-dev, used by various EAPs.
 
90
 
 
91
 -- Kyle McMartin <kyle@debian.org>  Sun, 12 Sep 2004 11:16:19 -0400
 
92
 
 
93
wpasupplicant (0.2.4-1) unstable; urgency=low
 
94
 
 
95
  * Initial release.
 
96
  * patches/
 
97
    - 01_config
 
98
      + default configuration
 
99
    - 10_madwifi
 
100
      + support for wireless cards using the madwifi driver
 
101
 
 
102
 -- Kyle McMartin <kyle@debian.org>  Sun, 5 Sep 2004 13:19:27 -0400